#
# spec file for package python-pulsectl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pulsectl
Version:        17.12.2
Release:        lp150.1.1
License:        MIT
Summary:        Python high-level interface and ctypes-based bindings for PulseAudio (libpulse)
Url:            http://github.com/mk-fg/python-pulse-control
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pulsectl/pulsectl-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  pulseaudio
BuildRequires:  pulseaudio-utils
BuildRequires:  libpulse-devel >= 5.0
%endif
BuildRequires:  fdupes
Requires:       python-setuptools
Requires:       pulseaudio >= 5.0
BuildArch:      noarch

%python_subpackages

%description
Python (3.x and 2.x) high-level interface and ctypes-based bindings for
PulseAudio (libpulse), mostly focused on mixer-like controls and
introspection-related operations (as opposed to e.g. submitting sound samples to
play, player-like client).

%prep
%setup -q -n pulsectl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst COPYING README.rst
%{python_sitelib}/*

%changelog
* Fri Jan  5 2018 alarrosa@suse.com
- Update to version 17.12.2
  * Use pa_card_profile_info2 / profiles2 introspection API.
  * Only adds one "available" property to PulseCardProfileInfo.
    Requires pulseaudio/libpulse 5.0+.
* Fri Nov 10 2017 alarrosa@suse.com
- Initial release of python-pulsectl 17.9.3
